import { Module } from '@nestjs/common';
import { MaterialsInventoryController } from './materials_inventory.controller';
import { MaterialsInventoryService } from './materials_inventory.service';
import { TypeOrmModule } from '@nestjs/typeorm';
import { MaterialsInventoryEntity } from './materials_inventory.entity';
import { StorageModule } from '../tools/storage/storage.module';

@Module({
  imports: [TypeOrmModule.forFeature([MaterialsInventoryEntity]), StorageModule],
  controllers: [MaterialsInventoryController],
  providers: [MaterialsInventoryService]
})
export class MaterialsInventoryModule {}
